package com.uvigo.mhp.ui;

import com.uvigo.mhp.*;
import java.beans.*;

public class HMultiPanelBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(HMultiPanel.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("background", HMultiPanel.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("foreground", HMultiPanel.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("horizontalAlignment", HMultiPanel.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("verticalAlignment", HMultiPanel.class);
            PropertyDescriptor pd5 = new PropertyDescriptor("opaque", HMultiPanel.class);
            PropertyDescriptor pd6 = new PropertyDescriptor("look", HMultiPanel.class);
            PropertyDescriptor pd7 = new PropertyDescriptor("font", HMultiPanel.class);
            PropertyDescriptor pd8 = new PropertyDescriptor("backgroundImageURL", HMultiPanel.class);
            PropertyDescriptor pd9 = new PropertyDescriptor("backgroundImageMode", HMultiPanel.class);
            PropertyDescriptor pd10= new PropertyDescriptor("label", HMultiPanel.class);
            PropertyDescriptor pd11= new PropertyDescriptor("context", HMultiPanel.class);
            PropertyDescriptor pd12= new PropertyDescriptor("configurationFile", HMultiPanel.class);
            PropertyDescriptor pd13= new PropertyDescriptor("cyclic", HMultiPanel.class);
            PropertyDescriptor pd14= new PropertyDescriptor("contextManager", HMultiPanel.class);
            PropertyDescriptor pd15= new PropertyDescriptor("name", HMultiPanel.class);
           PropertyDescriptor pd16= new PropertyDescriptor("delayedTimeMode", HMultiPanel.class);
           PropertyDescriptor pd17= new PropertyDescriptor("delayedTime", HMultiPanel.class);
            pd1.setBound(true);
            pd2.setBound(true);
            pd3.setBound(true);
            pd3.setPropertyEditorClass(HorizontalAlignmentEditor.class);
            pd4.setBound(true);
            pd4.setPropertyEditorClass(VerticalAlignmentEditor.class);
            pd5.setBound(true);
            pd6.setBound(true);
            pd7.setBound(true);
            pd8.setBound(true);
            pd9.setBound(true);
            pd9.setPropertyEditorClass(BackgroundImageModeEditor.class);
            pd10.setBound(true);
            pd11.setBound(true);
            pd12.setBound(true);
            pd13.setBound(true);
            pd14.setBound(true);
            pd15.setBound(true);
           pd16.setBound(true);
           pd16.setPropertyEditorClass(DelayedTimeModeEditor.class);
           pd17.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4, pd5, pd6, pd7, pd8, pd9, pd10, pd11, pd12, pd13, pd14, pd15, pd16,pd17};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }

    public EventSetDescriptor[] getEventSetDescriptors()
    {
        try
        {
            EventSetDescriptor ed1 = new EventSetDescriptor(
            HMultiPanel.class, "context", ContextListener.class,
            new String[]
            {"contextChanged"}, "addContextListener", "removeContextListener");
            
            return new EventSetDescriptor[]
            {ed1};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
    }
}
